const VError = require('verror');

const createError = (err) => {
    const error = new VError(err);
    error.isConstraintViolationError = true;
    return error;
};

const isConstraintViolationError = (error) => {
    return error.isConstraintViolationError === true;
}

module.exports.createError = createError;
module.exports.isConstraintViolationError = isConstraintViolationError;